[plug setting]
;DSTWO
icon=fat1:/_dstwoplug/nesDS.bmp
name=nesDS

[nesDSrev1]
;place the nesDS.ini under one of the following paths: "/","/_dstwoplug/","/ismartplug/","/moonshl2/extlink/","/_iMenu/_ini/","/_plugin_/"
;Please note this configuration might change later.
;To keep compatibility with lower version, just add new section to this ini and keep this section intact.
StartIn=/roms/nes

;avenir added this, thanks to him.
;if the functions of A/B/X/Y exchange.
;是否反转A. B键的功能.
BASwap=0
;if the L/R buttions are disabled. this is used for light-gun, you should NOT set this value to non-zero...
;是否禁用L/R键.
LRDisable=0
;The way to make effect. 0=flicker 1=noflicker 2=alphalerp
;渲染方式0=flick 1=none 2=alpha-lerp
Blend=0
;not used..
;暂时未用到.
PALTiming=0
;not used..
;暂时未用到.
FollowMem=0
;The way rendering the graphic.
;模拟游戏画面的方式
;0=normal 1=SP-pertile 2=pure-soft
Render=0
;if SRAM saved by auto
;是否自动保存游戏存档
AutoSRAM=0
;if top & sub screens swap at the start
;是否一开始就对调两个显示屏的内容
ScreenSwap=0

;Short-Cuts
;快捷键
;you can use the number or just the string... e.g.  'xxx_short_cut=3' or 'xxx_short_cut=KEY_A, KEY_B' or 'xxx_short_cut=KEY_A | KEY_B' do the same.
;可以使用数字或者对应的字符串来定义按键信息。比如KEY_A代表A键。
;KEY_A= 1
;A键，数字是1
;KEY_B= 2
;B键，数字是2
;KEY_SELECT= 4
;选择键，数字是4
;KEY_START= 8
;开始键，数字是8
;KEY_RIGHT= 16
;右，数字是16
;KEY_LEFT= 32
;左，数字是32
;KEY_UP= 64
;上，数字是64
;KEY_DOWN= 128
;下，数字是128
;KEY_RBUTTON= 256		'KEY_R' or 'KEY_L' is now allowed... 
;R键，数字是256
;KEY_LBUTTON= 512
;L键，数字是512
;KEY_X= 1024
;X键，数字是1024
;KEY_Y= 2048
;Y键，数字是2048

;default short-cuts
;下面是默认的快捷键配置

;write_savestate
;写即使存档
;KEY_START | KEY_DOWN
;开始+下
savestate=0

;load_savestate
;读即使存档
;KEY_START | KEY_UP
;开始+上
loadstate=0

;load rom
;读取游戏
;KEY_START | KEY_SELECT
;开始+选择
loadrom=KEY_START | KEY_SELECT

;B_A_Swap
;切换A/B功能
;KEY_START | KEY_LEFT
;禁用
swapab=0

;auto save sram
;切换自动保存游戏存档
;KEY_START | KEY_RIGHT
;开始+右
autosramsave=0

;scale left
;左拉伸
;KEY_SELECT | KEY_LEFT
;选择+左
scaleleft=KEY_SELECT | KEY_LEFT

;scale right
;右拉伸
;KEY_SELECT | KEY_RIGHT
;选择+右
scaleright=KEY_SELECT | KEY_RIGHT

;scale up
;上拉伸
;KEY_SELECT | KEY_UP
;选择+上
scaleup=KEY_SELECT | KEY_UP

;scale down
;下拉伸
;KEY_SELECT | KEY_DOWN
;选择+下
scaledown=KEY_SELECT | KEY_DOWN

;switch sprite rendering
;切换画面模拟方式
;disabled
;禁用
swaprender=0

;switch blend
;切换画面渲染方式
;disabled
;禁用
swapblend=0

;disk A for FDS
;FDS游戏切换磁盘A
;R+上
diska=KEY_RBUTTON | KEY_UP

;disk B for FDS
;FDS游戏切换磁盘B
;R+左
diskb=KEY_RBUTTON | KEY_LEFT

;disk C for FDS
;FDS游戏切换磁盘C
;R+下
diskc=KEY_RBUTTON | KEY_DOWN

;disk D for FDS
;FDS游戏切换磁盘D
;R+右
diskd=KEY_RBUTTON | KEY_RIGHT

;swap the top-screen & sub-screen
;切换上下屏幕
swapscreen=0
